package utils;

import java.io.Serializable;
import java.text.SimpleDateFormat;
import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;
import java.time.format.FormatStyle;
import java.util.Date;

        /**
         * Die Klasse erzeugt die Message-Objekte
         * @version 0.0.2
         * @author berdan
         */


public class Message implements Serializable {

    String username;
    String message;
    String time = "00:00";
    /*
    LocalDateTime current = LocalDateTime.now();
    DateTimeFormatter formatter = DateTimeFormatter.ofLocalizedDateTime(FormatStyle.MEDIUM);
    String date = current.format(formatter);
    */
    public Message(String username, String message) {
        this.username = username;
        this.message = message;
        this.time = new SimpleDateFormat("HH.mm.ss").format(new Date());
        //this.date = date;
    }
    
    /*
    public String getMessage(){
    	return this.message;
    }*/

    @Override
    public String toString() {
        return "nickname=" + username
                + ", message=" + message
        		+ ", time =" + time;
                //+ ", time=" + date;
    }

	public boolean exit() {
		if(message.equalsIgnoreCase("exit")){
			return false;
		}
		return true;
	}
	
	public String getMessage() {
		return message;
	}
	
	public String getUsername() {
		return username;
	}
	
	public String getTime(){
		return time;
	}
	
	

}